<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            android:id="@+id/layout_food_supplier_info"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_40"
            android:layout_marginLeft="@dimen/dp_8"
            android:layout_marginRight="@dimen/dp_8"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:visibility="gone">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="供應商："
                android:textColor="@color/black"
                android:textSize="@dimen/dp_17"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/tv_food_item_supplier_name"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="海鮮天地"
                android:textColor="@color/black"
                android:textSize="@dimen/dp_17"
                android:textStyle="bold" />

            <ImageView
                android:id="@+id/iv_supplier_edit"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:padding="@dimen/dp_10"
                android:src="@drawable/ic_blue_edit" />

            <ImageView
                android:id="@+id/iv_supplier_delete"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:padding="@dimen/dp_10"
                android:src="@drawable/ic_red_delete" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/dp_5"
            android:orientation="horizontal">

            <CheckBox
                android:id="@+id/cb_order_item_all_select"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginLeft="@dimen/dp_6"
                android:button="@drawable/selector_checkbox"
                android:textColor="@color/color_3c"
                android:textSize="@dimen/dp_14" />

            <LinearLayout
                android:layout_width="@dimen/dp_88"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <ImageView
                    android:id="@+id/iv_food_ingredient_img"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_88"
                    android:scaleType="fitXY" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="@dimen/dp_4"
                    android:textColor="@color/color_3c"
                    android:textSize="@dimen/dp_12"
                    android:visibility="gone"
                    tools:text="15/30" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_6"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/tv_food_item_no"
                        style="@style/Food_Ingredient_Info_TextStyle"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        tools:text="SP001" />

                    <ImageView
                        android:id="@+id/iv_order_food_delete"
                        android:layout_width="wrap_content"
                        android:layout_marginRight="@dimen/dp_5"
                        android:layout_height="match_parent"
                        android:src="@drawable/ic_red_delete" />
                </LinearLayout>

                <TextView
                    android:id="@+id/tv_food_item_name"
                    style="@style/Food_Ingredient_Info_TextStyle"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    tools:text="巴西肥牛" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_5"
                    android:orientation="horizontal">

                    <TextView
                        style="@style/Food_Ingredient_Info_TextStyle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="單價：" />

                    <TextView
                        android:id="@+id/tv_food_item_price"
                        style="@style/Food_Ingredient_Info_TextStyle"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        tools:text="$100.00" />

                    <TextView
                        android:id="@+id/tv_food_item_unit"
                        style="@style/Food_Ingredient_Info_TextStyle"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="right"
                        tools:text="3KG/盒" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <TextView
                        style="@style/Food_Ingredient_Info_TextStyle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="總價：" />

                    <TextView
                        android:id="@+id/tv_food_item_total_amount"
                        style="@style/Food_Ingredient_Info_TextStyle"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        tools:text="$100.000" />

                    <LinearLayout
                        android:id="@+id/layout_operation_food_num"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="@dimen/dp_5"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <com.qmuiteam.qmui.layout.QMUIButton
                            android:id="@+id/btn_food_operation_sub"
                            android:layout_width="@dimen/dp_24"
                            android:layout_height="@dimen/dp_24"
                            android:background="@drawable/ic_circle_gray_sub" />

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/ed_food_ingredient_number"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@null"
                            android:inputType="number"
                            android:maxLength="4"
                            android:paddingLeft="@dimen/dp_10"
                            android:paddingRight="@dimen/dp_10"
                            android:text="10"
                            android:textColor="@color/black"
                            android:textSize="@dimen/dp_22" />

                        <com.qmuiteam.qmui.layout.QMUIButton
                            android:id="@+id/btn_food_operation_add"
                            android:layout_width="@dimen/dp_24"
                            android:layout_height="@dimen/dp_24"
                            android:background="@drawable/ic_circle_theme_add" />
                    </LinearLayout>
                </LinearLayout>


            </LinearLayout>
        </LinearLayout>

    </LinearLayout>
</FrameLayout>